View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000241OpenFOAM[All Projects] Bugpublic2011-07-08 09:572011-07-18 15:33
Reporterdhora 
Assigned Tomattijs 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformLinuxOSOtherOS Version(please specify)
Product Version2.0.x 
Target VersionFixed in Version2.0.x 
Summary0000241: scotch decomposition does not work with preservePatches
Description
/*---------------------------------------------------------------------------*\
| ========= | |
| \\ / F ield | OpenFOAM: The Open Source CFD Toolbox |
| \\ / O peration | Version: 2.0.x |
| \\ / A nd | Web: www.OpenFOAM.com |
| \\/ M anipulation | |
\*---------------------------------------------------------------------------*/
Build : 2.0.x-93746106716d
Exec : decomposePar
Date : Jul 08 2011
Time : 10:49:53
Host : x470172
PID : 20251
Case : /c/home/dh/OpenFOAM/dh-2.0.x/run/tutorials/incompressible/SRFSimpleFoam/mixer
nProcs : 1
sigFpe : Enabling floating point exception trapping (FOAM_SIGFPE).
fileModificationChecking : Monitoring run-time modified files using timeStampMaster
allowSystemOperations : Disallowing user-supplied system call operations

// * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * //
Create time

Time = 0
Create mesh

Calculating distribution of cells
Keeping owner of faces in patches
2
(
cyclic_half0
cyclic_half1
)
 on same processor. This only makes sense for cyclics.
Selecting decompositionMethod scotch
Selected 3200 faces whose owner and neighbour cell should be kept on the same processor
ERROR: graphCheck: arc data do not match

Steps To ReproduceScotch dcomposition of SRFSimpleFoam/mixer tutorial (4 subdomains)
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000536)
ancsa (reporter)
2011-07-11 09:50

I have a similar problem with decomposePar with scotch, the error message:
Selecting decompositionMethod scotch
: ERROR: graphCheck: duplicate arc

with the 1.7.x version however

some details on the mesh:
My mesh is a polyhedra mesh originally created as tetra in Icem and then converted to polyhedra with Fluent, then converted to OpenFOAM with fluent3DMeshToFoam. The geometry is a city with house blocks. The simulation runs ok without decomposition, chechMesh also ends with Mesh OK. Decomposition with the single method also works fine. When decomposing the original tetra mesh, scotch works fine, even though there checkMesh fails.
(0000537)
mattijs (manager)
2011-07-11 10:06

The 'duplicate arc' problem should be fixed in 2.0 - it originates from having multiple faces between two cells.

I can repeat the 'preservePatches' problem and will look into it.
(0000539)
ancsa (reporter)
2011-07-11 11:16

Thanks for the answer, I tried with 2.0 debian version, this time I get a different error message:
: ERROR: graphCheck: invalid number of edges

With the original tetra it again works fine.
(0000560)
mattijs (manager)
2011-07-18 15:33

Fixed in 78ea1b50966eb0d38fb7adabdc0caa0e27826693.

- Issue History
Date Modified Username Field Change
2011-07-08 09:57 dhora New Issue
2011-07-11 09:50 ancsa Note Added: 0000536
2011-07-11 10:06 mattijs Note Added: 0000537
2011-07-11 11:16 ancsa Note Added: 0000539
2011-07-18 15:33 mattijs Note Added: 0000560
2011-07-18 15:33 mattijs Status new => resolved
2011-07-18 15:33 mattijs Fixed in Version => 2.0.x
2011-07-18 15:33 mattijs Resolution open => fixed
2011-07-18 15:33 mattijs Assigned To => mattijs